Bug 35490 - Remove GetMarcItem from C4::Biblio
Summary: Remove GetMarcItem from C4::Biblio
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 29697
Blocks:
  Show dependency treegraph
 
Reported: 2023-12-05 15:51 UTC by Marcel de Rooy
Modified: 2024-02-13 10:22 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00,23.11.03


Attachments
Bug 35490: Remove GetMarcItem from C4::Biblio module (762 bytes, patch)
2023-12-05 15:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 35490: Remove GetMarcItem from C4::Biblio module (779 bytes, patch)
2023-12-18 11:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2023-12-05 15:51:24 UTC

    
Comment 1 Marcel de Rooy 2023-12-05 15:53:19 UTC
Created attachment 159589 [details] [review]
Bug 35490: Remove GetMarcItem from C4::Biblio module

Test plan:
Compile module, run qa tools.
Search for the use of C4::Items in C4/Biblio.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2023-12-05 15:53:42 UTC
Trivial one liner: self SO
Comment 3 Tomás Cohen Arazi 2023-12-18 11:19:10 UTC
Created attachment 159941 [details] [review]
Bug 35490: Remove GetMarcItem from C4::Biblio module

Test plan:
Compile module, run qa tools.
Search for the use of C4::Items in C4/Biblio.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Katrin Fischer 2024-01-31 13:45:54 UTC
Pushed for 24.05!

Well done everyone, thank you!
Comment 5 Fridolin Somers 2024-02-13 10:22:01 UTC
Looks like this is since Bug 29697
Comment 6 Fridolin Somers 2024-02-13 10:22:30 UTC
Pushed to 23.11.x for 23.11.03